
QGIS Application - Bug report #1038

the first python plugins fails to load (on windows?)

2008-04-12 06:51 AM - Richard Duivenvoorde

Status: Closed

Priority: Low

Assignee: nobody -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11098

Description

If you have deleted your .qgis (documents and settings in windows) the first python plugin is successfully downloaded, unzipped etc etc.

But after the message "Python plugin installed. Go to Plugins > Plugin Manager to enable xxx." you get an error message:

Traceback (most recent call last):

 File "", line 2, in 

[[ImportError]]: No module named xxx

Apparently the Plugin Manager doesn't have the .qgis/python/plugins in it's (python_)path? Because after a restart of qgis the plugin is

shown in the Plugin Manager and can load ok.

And after ONE python plugin is succesfully installed, ALL other python plugins are also being installed ok in one time without restart!

I think this should be fixed before releasing 9.2 This because the new users will not have a .qgis/python/plugin directory so all will fail to

load their first plugin :-(

Associated revisions

Revision db987232 - 2008-04-12 10:53 PM - Jürgen Fischer

fix #1038

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8340 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 0b9e89e7 - 2008-04-12 10:53 PM - Jürgen Fischer

fix #1038

git-svn-id: http://svn.osgeo.org/qgis/trunk@8340 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-04-12 01:54 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:952407bf (SVN r8241)
#2 - 2008-04-12 01:56 PM - Jürgen Fischer

commit:0b9e89e7 (SVN r8341), that is.

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
